<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gree.mall.miniapp.commonmapper.CoustomUserCouponMapper">


    <update id="decreaseLeftTimes">
        update user_coupon
        set left_share_times = left_share_times - 1
        where id = #{id}
    </update>


    <update id="increaseLeftTimes">
        update user_coupon
        set left_share_times = left_share_times + 1
        where id = #{id}
    </update>



</mapper>